package com.ruoyi.project.service;

import com.ruoyi.project.domain.Wcmmetatablegovdocnews;

import java.util.List;

public interface WcmmetatablegovdocnewsService  {

    /**
     * 从secondary数据源查询需要同步的数据
     */
    List<Wcmmetatablegovdocnews> getDataFromSourceDB();

    /**
     * 同步数据到primary数据源
     */
    void syncDataToTargetDB(List<Wcmmetatablegovdocnews> dataList);

    /**
     * 执行数据同步任务
     */
    void executeDataSync();
}